@import "~sass-material-colors";

.ngx-datatable {
  height: 100%;

  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
  font-size: 14px;
  font-weight: 400;

  .fixed-header {}

  .datatable-header-cell-wrapper {
    padding: 10px;
  }

  .datatable-header {
    background-color: material-color("grey", "100");
    border-bottom: 1px solid material-color("grey", "300");
    font-weight: bold;

    .datatable-header-cell {
      line-height: 30px!important;
      border-right: 1px solid material-color("grey", "200");

      &.resizeable {}
      &.sortable {}
      &.longpress {}
      &.dragging {}
      &.sort-active {  }
      &.sort-asc {
        background-color: material-color("amber", "100");
      }
      &.sort-desc {
        background-color: material-color("amber", "100");
      }
    }

    .datatable-header-cell-label {}
  }

  .datatable-body {
    background-color: material-color("grey", "100");
  }

  &.scroll-vertical {
    .datatable-body {
      overflow-y:auto;
      .datatable-row-wrapper {
        position: absolute;
      }

    }
  }

  &.scroll-horz {
    .datatable-body {
      overflow-x:auto;
      -webkit-overflow-scrolling: touch;
    }
  }

  .datatable-body-row {
    cursor: pointer;
    background-color: #ffffff;
    border-bottom: 1px solid material-color("grey", "100");

    &:hover {
      background-color: material-color("yellow", "100");
    }

    &:focus {
      background-color: material-color("yellow", "100");
    }

    &.datatable-row-even {}
    &.datatable-row-odd {}

    .datatable-body-cell {
      border-right: 1px solid material-color("grey", "100");
      line-height: 30px;
      padding: 0 10px;

      &.sort-active {

      }
      &.sort-asc {
        background-color: material-color("amber", "100");
      }
      &.sort-desc {
        background-color: material-color("amber", "100");
      }
    }

    &.active {
      background-color: material-color("blue", "900");
      color: #ffffff;
      border-bottom: material-color("blue", "900");

      .datatable-body-cell {
        border-right: 1px solid material-color("grey", "100")!important;
      }
    }
  }
}
